settings:
    analysis:
        normalizer:
            text_normalizer:
                filter: ['lowercase']
            family_normalizer:
                filter: ['lowercase']
            identifier_normalizer:
                filter: ['lowercase']
            attribute_option_normalizer:
                filter: ['lowercase']
        char_filter:
            newline_pattern:
                pattern: '\n'
                type: 'pattern_replace'
                replacement: ''
        filter:
            text_area_truncate:
                type: 'truncate'
                length: 10000
        analyzer:
            textarea_analyzer:
                filter: ['lowercase']
                char_filter: ['html_strip', 'newline_pattern']
                type: 'custom'
                tokenizer: 'standard'
            textarea_preprocessed_analyzer:
                filter: ['lowercase', 'text_area_truncate']
                char_filter: ['html_strip', 'newline_pattern']
                type: 'custom'
                tokenizer: 'keyword'
    mapping:
        # ES default value is 1000. This value can be too low for big catalogs.
        # For more information see https://www.elastic.co/guide/en/elasticsearch/reference/current/mapping.html#mapping-limit-settings
        total_fields:
            limit: '%elasticsearch_total_fields_limit%'
